Subject: Re: 32-bit kernel on PPC64 supported?

From: Marvin <[email-masked]>
Date: Sat, 19 Jul 2008 09:29:42 +0200

Hi,

On Saturday 19 July 2008 00:14:35 Benjamin Herrenschmidt wrote:
> On Fri, 2008-07-18 at 20:43 +0200, Marvin wrote:
> > Hi,
> >
> > while trying to cleanup some configs/makefiles for ppc64 I noticed, that
> > CONFIG_POWER4 implies CONFIG_PPC64 and vice versa in all defconfigs.
> > So I want to boldly replace CONFIG_POWER4 by CONFIG_PPC64 - ugh.
>
> No, those are different.
>
> CONFIG_PPC64 means a 64 bits kernel.
>
> CONFIG_POWER4 means a 64 bits kernel that only runs on IBM POWER4 and
> later (ie, processors conforming to, iirc, version 2.01 or later of
> the architecture).
>
> That is, it's legal to have CONFIG_PPC64 and !CONFIG_POWER4, and this
> is even necessary if you want to boot on a POWER3 or an RS64 processor.

I don't want to replace CONFIG_POWER4 by void, but by something like 
CONFIG_TUNE_POWER4 (see my previous post, one week ago). So there is 
no "feature loss". CONFIG_POWER3 is used only to define HAVE_BATS, so I 
thought I can clean this up. 

> Now, there also used to be some 32 bits support for POWER4 and G5 but
> that has been dropped a while ago.

Ok - that's fine. 

I hope to finish my patches during the weekend, so things will become more 
clear. 

Greetings

Marvin